
%CGFModel(condition,temporalLag,salience,vSep, name);


% condition 1 = one target
% condition 2 = two targets same location
% condition 3 = two targets different side
% condition 4 = two targets different side, simultaneous
% condition 5 = two targets different location, same side simultaneous
% condition 6 = two targets different location, same side sequential

Vsep = 0;
Salience = 1;

%Simulation of traces in Figure 11 of the paper

Single = CGFModel(1,0,Salience,Vsep,'SingleTarget');   %single target
Samestream = CGFModel(2,120,Salience,Vsep,'Samestream');   %two targets, same location, 120ms SOA
Diffstream = CGFModel(3,120,Salience,Vsep,'Diffstream');   %two targets, same location, 120ms SOA
figure
plot(Single.N2pc);
hold on
plot(Samestream.N2pc+150);
plot(Diffstream.N2pc+300);


%Simulation of traces in Figure 12a of the paper

Low = CGFModel(1,0,.7,Vsep,'LowSalient');   %Low Salient
Med = CGFModel(1,0,.9,Vsep,'MedSalient');   %Med Salient
High = CGFModel(1,0,1.1,Vsep,'HighSalient');   %High Salient

figure
plot(Low.N2pc);
hold on
plot(Med.N2pc);
plot(High.N2pc);
title('Salience')


%Simulation of traces in Figure 12b and 12c of the paper


Close = CGFModel(5,0,Salience,4,'TwoDegrees');  
Far = CGFModel(5,0,Salience,12,'SixDegrees');  
figure
plot(Close.N2pc);
hold on
plot(Far.N2pc,'r');
title('Proximity')


%Simulation of traces in Figure 12d of the paper

%EimerGrubert
Vsep = 12;

same100 = CGFModel(6,100,Salience,Vsep,'Discard');
diff100 = CGFModel(3,100,Salience,Vsep,'Discard');

same50 = CGFModel(6,50,Salience,Vsep,'Discard');
diff50 = CGFModel(3,50,Salience,Vsep,'Discard');
same20 = CGFModel(6,20,Salience,Vsep,'Discard');
diff20 = CGFModel(3,20,Salience,Vsep,'Discard');

same10 = CGFModel(6,10,Salience,Vsep,'Discard');
diff10 = CGFModel(3,10,Salience,Vsep,'Discard');

 diffdiff10 = same10.N2pc-diff10.N2pc;
 diffdiff100 = same100.N2pc-diff100.N2pc;
 diffdiff50 = same50.N2pc-diff50.N2pc;
 diffdiff20 = same20.N2pc-diff20.N2pc;
% 

csvwrite('Eimer10.csv',diffdiff10);
csvwrite('Eimer20.csv',diffdiff20);
csvwrite('Eimer50.csv',diffdiff50);
csvwrite('Eimer100.csv',diffdiff100);



%Eimer Grubert Simulation
figure
plot(diffdiff10,'r')
hold on
plot(diffdiff20,'g')
plot(diffdiff50,'b')
plot(diffdiff100,'y')
plot(diff100.N2pc*2,'k')

%compute latency

voltage = 60;  %60 is half the height that these N2pcs climb to 

count = 1;

[x Latency10] = max(diffdiff10>voltage);  %since we're using the small N2pc, the sampling rate is reduced by a factor of 4
[x Latency20] = max(diffdiff20>voltage);
[x Latency50] = max(diffdiff50>voltage);
[x Latency100] = max(diffdiff100>voltage);
[x Latencysame] = max(diff100.N2pc>voltage/2);  %halved because a single N2pc is only half the voltage of the subtracted N2pc

Latency10 = Latency10 *4;
Latency20 = Latency20 *4;
Latency50 = Latency50 *4;
Latency100 = Latency100 *4;
Latencysame = Latencysame * 4;


sprintf('latencies %d %d %d %d',Latency10-Latencysame,Latency20-Latencysame,Latency50-Latencysame,Latency100-Latencysame)


%Simulation of traces in Figure 13 of the paper

Lag1 = CGFModel(2,120,Salience,Vsep,'Lag1');
Lag2 = CGFModel(2,240,Salience,Vsep,'Lag2');  
Lag3 = CGFModel(2,360,Salience,Vsep,'Lag3');  
Lag4 = CGFModel(2,480,Salience,Vsep,'Lag4');  



figure
plot(Lag1.N2pc);
hold on
plot(Lag2.N2pc-100);
plot(Lag3.N2pc-200);
plot(Lag4.N2pc-300);
title('Lag')

